
#define NILanim (AnimScript *)0

struct _AnimScript {
   short code;
   float move1; int step1;
   float move2; int step2;
   float move3; int step3;
   struct _AnimScript *next;
};

typedef struct _AnimScript AnimScript;

#define ROT_X     10
#define ROT_Y     11
#define ROT_Z     12

#define TRANS_X   13
#define TRANS_Y   14
#define TRANS_Z   15

#define SCALE_X   16
#define SCALE_Y   17
#define SCALE_Z   18


#define ROT_XY    20
#define ROT_YZ    23
#define ROT_ZX    24

#define TRANS_XY  26
#define TRANS_YZ  29
#define TRANS_ZX  30

#define SCALE_XY  32
#define SCALE_YZ  35
#define SCALE_ZX  36

#define ROT_XYZ   40

#define TRANS_XYZ 46

#define SCALE_XYZ 52

#define ONE_AXIS   20
#define TWO_AXIS   40
#define THREE_AXIS 60

#define UNKNOWN 70

