
#ifndef _globals_h
#define _globals_h

#include "xpex.h"

extern Display *dpy;
extern Window   window;
extern Atom     delete_window_atom;
extern Widget   toplevel, canvas;

extern PEXRenderer           renderer;
extern PEXRendererAttributes rattrs;

extern PEXStructure top_struct, plane, sphere;

extern PEXColorSpecifier colorSpec;

extern Boolean colorTypeIndexed, colorTypeRGB,
           colorTypeHSV, colorTypeHLS, colorTypeCIE;

/* The viewing parameters. */
extern PEXCoord         view_ref_pt;
extern PEXVector        view_up_vec;
extern PEXVector        view_plane_normal;
extern PEXCoord2D       view_window[2];
extern PEXNPCSubVolume  viewport;
extern double           view_plane, front_plane, back_plane;
extern PEXCoord         prp;
extern int              perspective;
extern PEXViewEntry     view;

#endif /* _globals_h */
